library(svglite)

filename = 'Na_smoothest'

args = commandArgs(trailingOnly=TRUE)

table <- read.table(paste0('dades/', filename, '.txt'), sep="\t", dec='.', header=TRUE)

# Plot the data
plotall <- function() {
  plot(table$ChannelNumber, table$Impulses, type="l", col="#EEEEFF", xlab="Número de canal", ylab="Comptes")
  lines(table$ChannelNumber, table$ImpulsesSmooth, type="l")

  # Add arrows and text labels to the peaks
  i <- 934 + 1
  arrows(table$ChannelNumber[i], table$ImpulsesSmooth[i]+3, table$ChannelNumber[i], table$ImpulsesSmooth[i]+0.2, length = 0.05, code = 1, col = "#514E7E")
  text(table$ChannelNumber[i], table$ImpulsesSmooth[i]+5.2, bquote(atop(gamma ^ "±" * (Ne), 511 ~ keV)), col = "#514E7E", cex = 0.75)

  i <- 341 + 1
  arrows(table$ChannelNumber[i], table$ImpulsesSmooth[i]+3, table$ChannelNumber[i], table$ImpulsesSmooth[i]+0.2, length = 0.05, code = 1, col = "#799B6F")
  text(table$ChannelNumber[i], table$ImpulsesSmooth[i]+5.2, bquote(atop(BS ~ gamma ^ "±" * (Ne), 170 ~ keV)), col = "#799B6F", cex = 0.75)
}

indexes <- c()
labels <- c()
peaks <- data.frame(indexes, labels)

pdf(paste0('output/', filename, '.pdf'), width = 6, height = 5)
plotall()
dev.off()

if (length(args) < 1 || args[1] != "preview") {
  svg(paste0('output/', filename, '.svg'), width = 6, height = 5)
  plotall()
  dev.off()
}
